include         \poasm\include\kernel32.inc
include         \poasm\include\user32.inc
include         \poasm\include\plib.inc

includelib      \poasm\lib\kernel32.lib
includelib      \poasm\lib\user32.lib
includelib      \poasm\lib\plib.lib

ReadFileToMem   PROTO :DWORD,:DWORD,:DWORD
WriteFileToDisc PROTO :DWORD,:DWORD,:DWORD
FreeMemory      PROTO :DWORD

; Exit codes returned by ReadFileToMem

; INVALID_HANDLE_VALUE equ -1 = CreateFile API error

CLOSEHANDLE_ERROR   equ 0 ; CloseHandle API error

MEM_ALLOC_FAILURE   equ 1 ; memory allocation failure

READFILE_ERROR      equ 2 ; ReadFile API error

READFILETOMEM_OK    equ 3 ; Operation successfull
RFM_OK              equ 3

; Exit codes returned by WriteFileToDisc

; INVALID_HANDLE_VALUE equ -1 = CreateFile API error

CLOSEHANDLE_ERROR   equ 0 ; CloseHandle API error

WRITEFILE_ERROR     equ 1 ; WriteFile API error

WRITEFILEDISC_OK    equ 2 ; Operation successfull
WFD_OK              equ 2


